Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: AppImage (Lu 312 fois) sujet précédent - sujet suivant

AppImage

Bonjour,
j'ai besoin d'installer un fichier AppImage ; je n'y arrive pas .. le fichier est bien autorisé pour l'exécution
mais j'ai

./RawTherapee_dev_release.AppImage: Permission non accordée
Une idée ? 

Re : AppImage

Répondre #1
fait un : chmod +x ./RawTherapee_dev_release.AppImage pour autorisé l’exécution du fichier

Re : AppImage

Répondre #2
Cela ne marche pas, j'avais déjà essayé, j'ai refait la commande .. idem
Quand j'essaie d'exécuter il me dit "bash: ./RawTherapee_dev_release.AppImage: Permission non accordée"

Re : AppImage

Répondre #3
hello

tente peut être avec le AppImageLauncher il y a un paquet rpm (tu fais ignorer pour accepter les paquets non signés)
il se trouve sur cette page
https://github.com/TheAssassin/AppImageLauncher/releases

tu fais un:
sudo zypper in (nom du paquet appimage)
puis tu fais clic droit dans Dolphin sur ton paquet de RawTherapee tu devrais avoir un lien qui permet d'installer avec AppImageLauncher puis tu fais "intégrer et lancer" quand AppImageLauncher apparaît et ça devrait le faire.


a+, lucky

Re : AppImage

Répondre #4
il me dit que le paquet est brisé ..

Re : AppImage

Répondre #5
ah mince désolé alors, tu as fait ignorer ou pas?

tente peut être ça, ce n'est pas un appimage par contre

zypper addrepo https://download.opensuse.org/repositories/home:deltafox/openSUSE_Tumbleweed/home:deltafox.repo
zypper refresh
zypper install rawtherapee

Re : AppImage

Répondre #6
non abandonner

Re : AppImage

Répondre #7
ok fais ignorer plutôt
sinon lis mon message précédent pour obtenir rawtherapee en paquet normal

Re : AppImage

Répondre #8
Le paquet existant dans les dépôts, je ne vois pas l'utilité de passer par Appimage.

Re : AppImage

Répondre #9
Le paquet existant a un gros bug sur les fichiers NIKON nef ( pas d'exif en sortie); là il s'agit d'un paquet de dev qui devrait corriger le problème; pas encore de 5.9

Re : AppImage

Répondre #10
par contre excuse moi je t'ai mis le lien pour tumbleweed plus haut, mais passe par les dépôts communautaires si le paquet existe
bien sûr :)

edit: essaie peut être ça
zypper addrepo https://download.opensuse.org/repositories/home:deltafox/15.4/home:deltafox.repo
zypper refresh
zypper install rawtherapee

Re : AppImage

Répondre #11
Je cherche à installer la version de dev d'ou le nom du paquet Rawtherapee-dev_release.AppImage; j'ai réussi en faisant ignorer mais apparemment cela ne corrige pas le bug

Re : AppImage

Répondre #12
il se que l’exécution soit interdit dans la partions :

essai de crée une partition en ramfs et de le lancé dedans: sa utilise la raw pour crée une partition temporaire
mkdir tmp #on crée le repétoire de montage
sudo mount -t tmpfs -o size=1G tmpfs tmp # ici on crée la partition
cp RawTherapee_dev_release.AppImage tmp # on copie dans la partition
cd tmp
chmod +x RawTherapee_dev_release.AppImage
./RawTherapee_dev_release.AppImage

david

ps: @philippeg veux une version je ne comprend pas pourquoi certain veule proposer une autre version.

Re : AppImage

Répondre #13
nno il manquait le launcher comme indiqué par luckyboy et j'ai réussi à l'installer en faisant "ignorer"

Re : AppImage

Répondre #14
Je cherche à installer la version de dev d'ou le nom du paquet Rawtherapee-dev_release.AppImage; j'ai réussi en faisant ignorer mais apparemment cela ne corrige pas le bug

Bonsoir,

Tu veux dire que cette version de dev ne corrige pas le bug de la suppression des données EXIF en sortie?

En attendant la sortie de RawTherapee 5.9 qui corrigera peut-être le bug (ce n'est pas rien quand même!), tu pourrais regarder du côté d'ART qui est un fork de RawTherapee. Il existe même une communauté francophone pour ce logiciel.

il existe une AppImage mais des instructions d'installation pour openSUSE (Tumbleweed et Leap) sont aussi indiquées sur la page d'accueil d'ART.